Bug 7029 - NetShareEnum: disable sanity check for better compatibility with Windows
NetShareEnum: disable sanity check for better compatibility with Windows
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 17:49 UTC by Giovanni Bajo
Modified: 2010-01-15 05:00 UTC (History)
0 users

See Also:
jra: review+


Attachments
git-am format patch for 3.5.0. (979 bytes, patch)
2010-01-14 14:24 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Bajo 2010-01-11 17:49:31 UTC
Please backport to Samba 3.5.0 this patch:
http://git.samba.org/?p=samba.git;a=commitdiff;h=d75d14f8de0b1fe36028e605c9453631d9cd70bc;hp=e0e255fb241b7e7918f237df52de3551ac6534f5

The description of the issue, the fix and a packet dump is here:
http://lists.samba.org/archive/samba-technical/2009-November/068116.html

Basically, this patch improves compatibility for Windows in case of a malformed packet. It should be relatively safe since I expect only a really small number of clients to send such broken packets.
Comment 1 Volker Lendecke 2010-01-12 16:02:01 UTC
I'm fine with it. Jeremy, if you ack it it can go to 3.5.

Volker
Comment 2 Jeremy Allison 2010-01-14 14:24:21 UTC
Created attachment 5186 [details]
git-am format patch for 3.5.0.
Comment 3 Jeremy Allison 2010-01-14 14:24:34 UTC
Ack. This is a simple fix to get us closer to Windows behavior. I'll look into adding a torture test to ensure we don't regress.

Re-assigning to Karolin for inclusion in 3.5.0.

Jeremy.
Comment 4 Karolin Seeger 2010-01-15 05:00:24 UTC
Pushed to v3-5-test. Will be included in Samba 3.5.0rc2.
Closing out bug report.

Thanks!